package ru.yandex.autotests.direct.web.pages.campaigns.blocks;

import org.openqa.selenium.support.FindBy;

import ru.yandex.qatools.htmlelements.annotations.Name;
import ru.yandex.qatools.htmlelements.element.Button;
import ru.yandex.qatools.htmlelements.element.HtmlElement;

/**
 * User: xy6er
 * Date: 16.05.13
 * Time: 21:41
 */

@FindBy(css = "div.b-teaser_type_first-aid")
@Name("Тизер Первая помощь")
public class HelpTeaserBlock extends HtmlElement {

    @Name("Кнопка Заказать услугу")
    @FindBy(xpath = ".//a[contains(@href, 'cmd=orderCampaignOptimizing')]")
    private Button orderServiceButton;

    public Button getOrderServiceButton() {
        return orderServiceButton;
    }

    public void clickOrderServiceButton() {
        getOrderServiceButton().click();
    }
}
